webentwicklung-frage-antwort-db.com.de

Msxml 6.0 für Wein

Ich habe versucht, eine Anwendung über Winetrics auf Ubuntu 12.04 zu installieren. Ich habe jedoch unter Fehler bekommen.

   this msxml 6.0 is not supported on the current processor type 

Ich habe nach Google gesucht, um diesen Fehler zu beheben, konnte ihn aber nicht verwalten. Also, wie kann ich das beheben?

1
user8324

Dies ist ein Problem mit dem Installationsprogramm. Es wird versucht, die 32-Bit-Version von MSXML (die Microsoft XML-Bibliothek) auf einem 64-Bit-Computer zu installieren (oder umgekehrt).

Der erste Teil der Lösung besteht darin, die richtige Version für Ihren Computer zu installieren. Die Downloadliste ist hier ; Die x64-Version ist wahrscheinlich das, was Sie brauchen.

Leider endet die Geschichte an dieser Stelle, es sei denn, der Anbieter stellt ein x64-Paket bereit oder stellt ein Paket ohne MSXML-Paket bereit oder Sie öffnen das Paket und basteln daran (in einem Tool wie Orca, dem MSI-Datenbankeditor). Es ist eine Schande, dass MSI-Pakete so schwer zu bearbeiten sind. Im Gegensatz zu .DEB, das nur ein ausgefallenes Archiv ist, ist MSI eine Datenbank (oder ein sehr ausgefallenes Archiv).

Der andere Weg besteht darin, ein natives Paket zu installieren, das die von der Windows-Software gewünschten Funktionen bietet.

4
Adrian